#pragma rtGlobals=1		// Use modern global access method.
//Stimulator Protocol

Menu "tClamp16"
	SubMenu "Stimulator Protocol"
		"Paired-pulse stimulation", tClamp16SetPairedPluseStim()
	End
End

Function tClamp16SetPairedPluseStim()
	tClamp16_FolderCheck()
	String fldrSav0= GetDataFolder(1)
	SetDataFolder root:Packages:tClamp16

	Variable/G StimulatorCheck = 1

	Variable/G StimulatorCounterLimit = 0
	Variable/G StimulatorISI = 600
	Variable/G StimulatorITC16Period = 5
	Variable/G StimulatorSamplingNpnts = 200000
	
	Variable/G StimulatorDelay0 = 0
	Variable/G StimulatorInterval0 = 0
	Variable/G StimulatorTrain0 = 1
	Variable/G StimulatorDuration0 = 0.0001
	
	Variable/G StimulatorDelay1 =  0.05
	Variable/G StimulatorInterval1 = 0.05
	Variable/G StimulatorTrain1 = 2
	Variable/G StimulatorDuration1 = 0.0001
	
	Variable/G StimulatorDelay2 = 0
	Variable/G StimulatorInterval2 = 0
	Variable/G StimulatorTrain2 = 0
	Variable/G StimulatorDuration2 = 0
	
	Variable/G StimulatorDelay3 = 0
	Variable/G StimulatorInterval3 = 0
	Variable/G StimulatorTrain3 = 0
	Variable/G StimulatorDuration3 = 0
	
	tClamp16ApplyStimulatorSetting()
	
	SetDataFolder fldrSav0
End