
Menu "tClamp16"
	SubMenu "Setting"
		"Setting 7PLUS & 700A", tClamp16Setting7PLUS_700A()
	End
End

Function tClamp16Setting7PLUS_700A()
	tClamp16_FolderCheck()
	String fldrSav0= GetDataFolder(1)
	SetDataFolder root:Packages:tClamp16
	
	//DAC0 EPC7PLUS
	Variable/G CommandSensVC_DAC0 = 100
	Variable/G CommandSensCC_DAC0 = 100

	//DAC1 700A Channel0
	Variable/G CommandSensVC_DAC1 = 20
	Variable/G CommandSensCC_DAC1 = 400

	//DAC2 700A Channel1
	Variable/G CommandSensVC_DAC2 = 20
	Variable/G CommandSensCC_DAC2 = 400

	//DAC3
	Variable/G CommandSensVC_DAC3 = 1
	Variable/G CommandSensCC_DAC3 = 1
	
	//ADC0
	Variable/G ADCMode0 = 0
	Variable/G SealTestPulse0 = 0.05
	
	//ADC0 EPC7PLUS VC
	Variable/G ADCRangeVC0 = 10
	Variable/G AmpGainADCVC0 = 1
	Variable/G ScalingFactorADCVC0 = 1e+09
	String/G LabelADCVC0 = "EPC7PLUS VC"
	String/G UnitADCVC0 = "A"
	String/G AmpGainListADCVC0 = "0.5;1;2;5;10;20;50;100;200;500;1000"
	String/G CouplingDAC_ADCVC0 = "0"
	String/G CouplingADC_ADCVC0 = "1"
	
	//ADC0 CC
	Variable/G ADCRangeCC0 = 10
	Variable/G AmpGainADCCC0 = 1
	Variable/G ScalingFactorADCCC0 = 1
	String/G LabelADCCC0 = "ADC0 CC"
	String/G UnitADCCC0 = "V"
	String/G AmpGainListADCCC0 = "1;2;5;10;20;50;100;200;500;1000;2000"
	String/G CouplingDAC_ADCCC0 = "none"
	String/G CouplingADC_ADCCC0 = "none"
	
	//ADC1
	Variable/G ADCMode1 = 1
	Variable/G SealTestPulse1 = 0.05

	//ADC1 VC
	Variable/G ADCRangeVC1 = 10
	Variable/G AmpGainADCVC1 = 10
	Variable/G ScalingFactorADCVC1 = 1
	String/G LabelADCVC1 = "ADC1 VC"
	String/G UnitADCVC1 = "A"
	String/G AmpGainListADCVC1 = "1;2;5;10;20;50;100;200;500;1000;2000"
	String/G CouplingDAC_ADCVC1 = "none"
	String/G CouplingADC_ADCCC1 = "none"
	
	//ADC1 EPC7PLUS CC
	Variable/G ADCRangeCC1 = 10
	Variable/G AmpGainADCCC1 = 10
	Variable/G ScalingFactorADCCC1 = 1 //(V/V)
	String/G LabelADCCC1 = "EPC7PLUS CC"
	String/G UnitADCCC1 = "V"
	String/G AmpGainListADCCC1 = "10"
	String/G CouplingDAC_ADCCC1 = "0"
	String/G CouplingADC_ADCCC1 = "0"

	//ADC2
	Variable/G ADCMode2 = 0
	Variable/G SealTestPulse2 = 0.25
	
	//ADC2 MultiClamp700A channel0 VC
	Variable/G ADCRangeVC2 = 10
	Variable/G AmpGainADCVC2 = 5
	Variable/G ScalingFactorADCVC2 = 0.5e+09
	String/G LabelADCVC2 = "700A ch0 VC"
	String/G UnitADCVC2 = "A"
	String/G AmpGainListADCVC2 = "1;2;5;10;20;50;100;200;500;1000;2000"
	String/G CouplingDAC_ADCVC2 = "1"
	String/G CouplingADC_ADCVC2 = "none"
	
	//ADC2 MultiClamp700A channel0 CC
	Variable/G ADCRangeCC2 = 1
	Variable/G AmpGainADCCC2 = 5
	Variable/G ScalingFactorADCCC2 = 1 //(V/V)
	String/G LabelADCCC2 = "700A ch0 CC"
	String/G UnitADCCC2 = "V"
	String/G AmpGainListADCCC2 = "1;2;5;10;20;50;100;200;500;1000;2000"
	String/G CouplingDAC_ADCCC2 = "1"
	String/G CouplingADC_ADCCC2 = "none"
	
	//ADC3
	Variable/G ADCMode3 = 0
	Variable/G SealTestPulse3 = 0.25
	
	//ADC3 VC
	Variable/G ADCRangeVC3 = 10
	Variable/G AmpGainADCVC3 = 1
	Variable/G ScalingFactorADCVC3 = 1e+09
	String/G LabelADCVC3 = "ADC3 VC"
	String/G UnitADCVC3 = "A"
	String/G AmpGainListADCVC3 = "1;2;5;10;20;50;100;200;500;1000;2000"
	String/G CouplingDAC_ADCVC3 = "none"
	String/G CouplingADC_ADCVC3 = "none"

	//ADC3 CC
	Variable/G ADCRangeCC3 = 10
	Variable/G AmpGainADCCC3 = 1
	Variable/G ScalingFactorADCCC3 = 1
	String/G LabelADCCC3 = "ADC3 CC"
	String/G UnitADCCC3 = "V"
	String/G AmpGainListADCCC3 = "1;2;5;10;20;50;100;200;500;1000;2000"
	String/G CouplingDAC_ADCCC3 = "none"
	String/G CouplingADC_ADCCC3 = "none"
	
	//ADC4
	Variable/G ADCMode4 = 0
	Variable/G SealTestPulse4 = 0.25
	
	//ADC4 MultiClamp700A channel1 VC
	Variable/G ADCRangeVC4 = 10
	Variable/G AmpGainADCVC4 = 5
	Variable/G ScalingFactorADCVC4 = 0.5e+09
	String/G LabelADCVC4 = "700A ch1 VC"
	String/G UnitADCVC4 = "A"
	String/G AmpGainListADCVC4 = "1;2;5;10;20;50;100;200;500;1000;2000"
	String/G CouplingDAC_ADCVC4 = "2"
	String/G CouplingADC_ADCVC4 = "none"
	
	//ADC4 MultiClamp700A channel1 CC
	Variable/G ADCRangeCC4 = 10
	Variable/G AmpGainADCCC4 = 5
	Variable/G ScalingFactorADCCC4 = 1 //(V/V)
	String/G LabelADCCC4 = "700A ch1 CC"
	String/G UnitADCCC4 = "V"
	String/G AmpGainListADCCC4 = "1;2;5;10;20;50;100;200;500;1000;2000"
	String/G CouplingDAC_ADCCC4 = "2"
	String/G CouplingADC_ADCCC4 = "none"

	//ADC5
	Variable/G ADCMode5 = 0
	Variable/G SealTestPulse5 = 0.25

	//ADC5 VC
	Variable/G ADCRangeVC5 = 10
	Variable/G AmpGainADCVC5 = 1
	Variable/G ScalingFactorADCVC5 = 1e+09
	String/G LabelADCVC5 = "ADC5 VC"
	String/G UnitADCVC5 = "A"
	String/G AmpGainListADCVC5 = "1;2;5;10;20;50;100;200;500;1000;2000"
	String/G CouplingDAC_ADCVC5 = "none"
	String/G CouplingADC_ADCVC5 = "none"

	//ADC5 CC
	Variable/G ADCRangeCC5 = 10
	Variable/G AmpGainADCCC5 = 1
	Variable/G ScalingFactorADCCC5 = 1
	String/G LabelADCCC5 = "ADC5 CC"
	String/G UnitADCCC5 = "V"
	String/G AmpGainListADCCC5 = "1;2;5;10;20;50;100;200;500;1000;2000"
	String/G CouplingDAC_ADCCC5 = "none"
	String/G CouplingADC_ADCCC5 = "none"

	//ADC6
	Variable/G ADCMode6 = 0
	Variable/G SealTestPulse6 = 0.25

	//ADC6 VC
	Variable/G ADCRangeVC6 = 10
	Variable/G AmpGainADCVC6 = 1
	Variable/G ScalingFactorADCVC6 = 1e+09
	String/G LabelADCVC6 = "ADC6 VC"
	String/G UnitADCVC6 = "A"
	String/G AmpGainListADCVC6 = "1;2;5;10;20;50;100;200;500;1000;2000"
	String/G CouplingDAC_ADCVC6 = "none"
	String/G CouplingADC_ADCVC6 = "none"

	//ADC6 CC
	Variable/G ADCRangeCC6 = 10
	Variable/G AmpGainADCCC6 = 1
	Variable/G ScalingFactorADCCC6 = 1
	String/G LabelADCCC6 = "ADC6 CC"
	String/G UnitADCCC6 = "V"
	String/G AmpGainListADCCC6 = "1;2;5;10;20;50;100;200;500;1000;2000"
	String/G CouplingDAC_ADCCC6 = "none"
	String/G CouplingADC_ADCCC6 = "none"
	
	//ADC7
	Variable/G ADCMode7 = 0
	Variable/G SealTestPulse7 = 0.25
	
	//ADC7 VC
	Variable/G ADCRangeVC7 = 10
	Variable/G AmpGainADCVC7 = 1
	Variable/G ScalingFactorADCVC7 = 1e+09
	String/G LabelADCVC7 = "ADC7 VC"
	String/G UnitADCVC7 = "A"
	String/G AmpGainListADCVC7 = "1;2;5;10;20;50;100;200;500;1000;2000"
	String/G CouplingDAC_ADCVC7 = "none"
	String/G CouplingADC_ADCVC7 = "none"

	//ADC7 CC
	Variable/G ADCRangeCC7 = 10
	Variable/G AmpGainADCCC7 = 1
	Variable/G ScalingFactorADCCC7 = 1
	String/G LabelADCCC7 = "ADC7 CC"
	String/G UnitADCCC7 = "V"
	String/G AmpGainListADCCC7 = "1;2;5;10;20;50;100;200;500;1000;2000"
	String/G CouplingDAC_ADCCC7 = "none"
	String/G CouplingADC_ADCCC7 = "none"

	tClamp16SetChannelMode()

	tClamp16PrepWindows(7, 23) // tClamp16PrepWindows(bitDAC, bitADC)
	tClamp16MoveWinEPC7PLUS_700A()
	SetDataFolder fldrSav0

	tClamp16SetChannelMode()
End

Function tClamp16MoveWinEPC7PLUS_700A()
	MoveWindow/W=tClamp16TimerPanel 800,7,1020,85
	MoveWindow/W=tClamp16DAC0 193.5, 743, 438.75, 815
	MoveWindow/W=tClamp16DAC1 625.5, 743, 870.75, 815
	MoveWindow/W=tClamp16DAC2 919.5, 743, 1164.75, 815
	MoveWindow/W=tClamp16ADC0 58.5, 564.5, 283.5, 714.5
	MoveWindow/W=tClamp16ADC1 338.25, 564.5, 563.25, 714.5
	MoveWindow/W=tClamp16ADC2 633, 564.5, 858, 714.5
	MoveWindow/W=tClamp16ADC4 930, 564.5, 1155, 714.5
	MoveWindow/W=tClamp16OscilloADC0 28.5,151.25,305.25,389.75
	MoveWindow/W=tClamp16OscilloADC1 318,151.25,594.75,389.75
	MoveWindow/W=tClamp16OscilloADC2 607.5,151.25,884.25,389.75
	MoveWindow/W=tClamp16OscilloADC4 897,151.25,1173.75,389.75
	MoveWindow/W=tClamp16SealTestADC0 28.5,297.5,305.25,536
	MoveWindow/W=tClamp16SealTestADC1 318,297.5,594.75,536
	MoveWindow/W=tClamp16SealTestADC2 608.25,297.5,885,536
	MoveWindow/W=tClamp16SealTestADC4 897,297.5,1173.75,536
end